package com.ecep.contract.task;

import com.ecep.contract.MessageHolder;
import com.ecep.contract.WebSocketClientTasker;
import com.ecep.contract.vo.CompanyVo;

import lombok.Getter;
import lombok.Setter;

public class CompanyVerifyTasker extends Tasker<Object> implements WebSocketClientTasker {
    @Getter
    @Setter
    private CompanyVo company;

    @Getter
    @Setter
    boolean passed = false;

    @Override
    protected Object execute(MessageHolder holder) throws Exception {
        updateTitle("验证企业是否符合合规要求");
        return callRemoteTask(holder, getLocale(), company.getId());
    }

    @Override
    public String getTaskName() {
        return "CompanyVerifyTasker";
    }

    @Override
    public void updateProgress(long workDone, long max) {
        super.updateProgress(workDone, max);
    }

}
